clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::FileEvent Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::FileEvent:
[legend]

## Public Attributes
URIForFile | uri
| The file's URI. More...
FileChangeType | type = FileChangeType::Created
| The change type. More...

## Detailed Description

Definition at line 489 of file Protocol.h.

## Member Data Documentation

## ◆ type

FileChangeType clang::clangd::FileEvent::type = FileChangeType::Created

The change type.

Definition at line 493 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

## ◆ uri

URIForFile clang::clangd::FileEvent::uri

The file's URI.

Definition at line 491 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

The documentation for this struct was generated from the following file:

- Protocol.h